## go-wire 0~20161027~0git287d8ca

=== Makefile ===
.PHONY: all test get_deps

all: test install

install: get_deps
	go install github.com/tendermint/go-wire/cmd/...

test:
	go test github.com/tendermint/go-wire/...

get_deps:
	go get -d github.com/tendermint/go-wire/...

pigeon:
	pigeon -o expr/expr.go expr/expr.peg
