=== debian/changelog ===
go-wire (0~20161027~0git287d8ca-1) unstable; urgency=medium

  * Initial release. (Closes: #838417)

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Oct 2016 08:35:16 +0100
