## go-wire 1.0~rc+git20161223.40.2f3b7aa

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	go install github.com/tendermint/go-wire/cmd/...
 
 test:
-	go test github.com/tendermint/go-wire/...
+	go test --race github.com/tendermint/go-wire/...
 
 get_deps:
 	go get -d github.com/tendermint/go-wire/...
