=== debian/changelog ===
go-wire (1.0~rc+git20161223.40.2f3b7aa-2build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Sep 2020 23:16:45 +0000

go-wire (1.0~rc+git20161223.40.2f3b7aa-2) unstable; urgency=medium

  [ Alessio Treglia ]
  * Team upload.
  * Clean up golang-github-tendermint-go-wire-dev's Depends field

  [ Michael Stapelberg ]
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:42:32 +0100

go-wire (1.0~rc+git20161223.40.2f3b7aa-1) unstable; urgency=medium

  * Imported Upstream version 1.0~rc+git20161223.40.2f3b7aa
  * Remove unnecessary deps

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Feb 2017 08:39:45 +0000
