=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: go-wire
 Section: devel
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 9~),
  dh-golang,
  golang-any,
- golang-github-go-stack-stack-dev,
  golang-github-tendermint-go-common-dev,
- golang-github-tendermint-log15-dev,
  golang-github-tendermint-go-logger-dev,
- golang-golang-x-crypto-dev,
- golang-godebiancontrol-dev
+ golang-golang-x-crypto-dev
 Standards-Version: 3.9.8
 Homepage: http://github.com/tendermint/go-wire
 XS-Go-Import-Path: github.com/tendermint/go-wire
@@ -24,6 +22,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Simple Wire encoding protocol command line tool
  This software implements Go bindings for the Wire
  encoding protocol. The goal of the Wire encoding
@@ -38,9 +37,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- golang-github-go-stack-stack-dev,
  golang-github-tendermint-go-common-dev,
- golang-github-tendermint-log15-dev,
  golang-github-tendermint-go-logger-dev,
  golang-golang-x-crypto-dev
 Description: Go bindings for the Wire encoding protocol
